Skip to main content
POST
/
validations
cURL
curl --request POST \
  --url https://api.cradl.ai/{basePath}/validations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "metadata": {},
  "name": "<string>",
  "description": "<string>",
  "config": {},
  "enabled": true
}
'
{
  "updatedTime": "<string>",
  "metadata": {},
  "validationId": "<string>",
  "updatedBy": "<string>",
  "createdBy": "<string>",
  "name": "<string>",
  "createdTime": "<string>",
  "description": "<string>",
  "id": "<string>",
  "config": {},
  "enabled": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.cradl.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Content-Type
string
required

Body

application/json
metadata
object
name
string | null
Maximum string length: 4096
description
string | null
Maximum string length: 4096
config
object
enabled
boolean

Response

200 response

updatedTime
string | null
required
Pattern: ^[0-9]{4}-?[0-9]{2}-?[0-9]{2}( |T)?[0-9]{2}:?[0-9]{2}:?[0-9]{2}(.[0-9]{1,6})?(Z|[+][0-9]{2}(:|)[0-9]{2})$
metadata
object
required
validationId
string
required
Pattern: ^cradl:validation:[a-f0-9]{32}$
updatedBy
string | null
required
Maximum string length: 4096
createdBy
string
required
Maximum string length: 4096
name
string | null
required
Maximum string length: 4096
createdTime
string
required
Pattern: ^[0-9]{4}-?[0-9]{2}-?[0-9]{2}( |T)?[0-9]{2}:?[0-9]{2}:?[0-9]{2}(.[0-9]{1,6})?(Z|[+][0-9]{2}(:|)[0-9]{2})$
description
string | null
required
Maximum string length: 4096
id
string
Pattern: ^((cradl|las):organization:[a-z0-9-_]+/)?cradl:validation:[a-z0-9-_]+$
config
object
enabled
boolean